cryptol-2.2.6: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2015 Galois, Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Cryptol.Eval.Type

Description

Synopsis

- evalType :: EvalEnv -> Type -> TValue
- evalTF :: TFun -> [TValue] -> TValue

# Documentation

evalType :: EvalEnv -> Type -> TValue Source

Evaluation for types.

evalTF :: TFun -> [TValue] -> TValue Source

Reduce type functions, rising an exception for undefined values.